Package com.verisign.epp.codec.whois

## Class EPPWhoisTst

- java.lang.Object
- - com.verisign.epp.codec.whois.EPPWhoisTst

-     public class EPPWhoisTst
      extends java.lang.Object

  Is a unit test of the com.verisign.epp.codec.whois package. The unit test will execute, gather statistics, and output the results of a test of each com.verisign.epp.codec.whois package. The unit test is dependent on the use of JUNIT 3.5

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `EPPWhoisTst()` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static void` | `setNumIterations​(long aNumIterations)` | Sets the number of iterations to run per test.
    `static void` | `setup()` | JUNIT `suite` static method, which returns the tests associated with `EPPWhoisTst`.
    `void` | `testWhoisInf()` | Tests the `EPPWhoisInfo` info command extension.
    `void` | `testWhoisInfData()` | Tests the `EPPWhoisInfoData` info response extension.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### EPPWhoisTst

          public EPPWhoisTst()

  - ### Method Detail

    - #### testWhoisInf

          public void testWhoisInf()

      Tests the `EPPWhoisInfo` info command extension. The tests include the following:
      1. Test adding the extension with a `true` flag value
      2. Test adding the extension with a `false` flag value

    - #### testWhoisInfData

          public void testWhoisInfData()

      Tests the `EPPWhoisInfoData` info response extension. The tests include the following:
      1. Test adding the extension with most common attributes set
      2. Test adding the extension with all attributes set

    - #### setup

          public static void setup()

      JUNIT `suite` static method, which returns the tests associated with `EPPWhoisTst`.

    - #### setNumIterations

          public static void setNumIterations​(long aNumIterations)

      Sets the number of iterations to run per test.
      Parameters:
        `aNumIterations` - number of iterations to run per test